Intermittent toolkit/components/places/tests/browser/browser_visited_notfound.js | Uncaught exception - at resource://testing-common/PlacesTestUtils.jsm:222 - TypeError: rows[0] is undefined

RESOLVED FIXED in Firefox 57

Status

()

Toolkit
Places
P1
normal
RESOLVED FIXED
9 months ago
9 months ago

People

(Reporter: jmaher, Assigned: mak)

Tracking

({intermittent-failure})

unspecified
mozilla57
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox57 fixed)

Details

(Whiteboard: [fxsearch][stockwell fixed:other])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

9 months ago
in bug 1382444 we worked on this and fixed the bug, but it came back without a clear cause, lets leave bug 1382444 alone and investigate this as a new issue.

there are 37 linux64 debug failures in the last week:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382444

here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=126944416&lineNumber=17128

and what we see in the log related to this test:
[task 2017-08-30T03:43:52.361649Z] 03:43:52     INFO - TEST-START | toolkit/components/places/tests/browser/browser_visited_notfound.js
[task 2017-08-30T03:43:52.418628Z] 03:43:52     INFO - GECKO(3350) | ++DOCSHELL 0x7f18ea30c000 == 2 [pid = 3484] [id = {2e302f93-14d6-4dd5-89a6-d8061fc947f8}]
[task 2017-08-30T03:43:52.421019Z] 03:43:52     INFO - GECKO(3350) | ++DOMWINDOW == 8 (0x7f18ea30c800) [pid = 3484] [serial = 71] [outer = (nil)]
[task 2017-08-30T03:43:52.495275Z] 03:43:52     INFO - GECKO(3350) | ++DOMWINDOW == 9 (0x7f18ec109000) [pid = 3484] [serial = 72] [outer = 0x7f18ea30c800]
[task 2017-08-30T03:43:52.818753Z] 03:43:52     INFO - GECKO(3350) | ++DOMWINDOW == 10 (0x7f18ec07d800) [pid = 3484] [serial = 73] [outer = 0x7f18ea30c800]
[task 2017-08-30T03:43:53.426593Z] 03:43:53     INFO - TEST-INFO | started process screentopng
[task 2017-08-30T03:43:57.619536Z] 03:43:57     INFO - TEST-INFO | screentopng: exit 0
[task 2017-08-30T03:43:57.629405Z] 03:43:57     INFO - Buffered messages logged at 03:43:52
[task 2017-08-30T03:43:57.632024Z] 03:43:57     INFO - Entering test bound test
[task 2017-08-30T03:43:57.634208Z] 03:43:57     INFO - Buffered messages finished
[task 2017-08-30T03:43:57.640080Z] 03:43:57     INFO - TEST-UNEXPECTED-FAIL | toolkit/components/places/tests/browser/browser_visited_notfound.js | Uncaught exception - at resource://testing-common/PlacesTestUtils.jsm:217 - TypeError: rows[0] is undefined
[task 2017-08-30T03:43:57.641881Z] 03:43:57     INFO - Stack trace:
[task 2017-08-30T03:43:57.643581Z] 03:43:57     INFO -     fieldInDB@resource://testing-common/PlacesTestUtils.jsm:217:5
[task 2017-08-30T03:43:57.647521Z] 03:43:57     INFO -     async*test@chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visited_notfound.js:16:24
[task 2017-08-30T03:43:57.651689Z] 03:43:57     INFO -     Async*Tester_execTest/<@chrome://mochikit/content/browser-test.js:803:21
[task 2017-08-30T03:43:57.655337Z] 03:43:57     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:794:9
[task 2017-08-30T03:43:57.658631Z] 03:43:57     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:694:7
[task 2017-08-30T03:43:57.663584Z] 03:43:57     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59
[task 2017-08-30T03:43:57.665793Z] 03:43:57     INFO - Leaving test bound test
[task 2017-08-30T03:43:57.682268Z] 03:43:57     INFO - GECKO(3350) | MEMORY STAT | vsize 2411MB | residentFast 388MB | heapAllocated 152MB
[task 2017-08-30T03:43:57.685561Z] 03:43:57     INFO - TEST-OK | toolkit/components/places/tests/browser/browser_visited_notfound.js | took 2389ms
(Reporter)

Comment 1

9 months ago
::mak, this seems to have been slowly increasing in frequency the last couple weeks, is this something you could look into or help find someone to look into in the next few weeks?
Flags: needinfo?(mak77)
(Assignee)

Comment 2

9 months ago
it's the usual problem with promiseDBConnection reading from a previous snapshot, likely because frecency is being updated at the same time.
We could change fieldInDB to use the wrapped connection instead, it will be a bit slower but it wouldn't randomly fail.
Assignee: nobody → mak77
Status: NEW → ASSIGNED
Flags: needinfo?(mak77)
Comment hidden (mozreview-request)

Comment 4

9 months ago
mozreview-review
Comment on attachment 8902724 [details]
Bug 1395082 - Intermittent toolkit/components/places/tests/browser/browser_visited_notfound.js.

https://reviewboard.mozilla.org/r/174394/#review179898

Looks good, lets try it.
Attachment #8902724 - Flags: review?(standard8) → review+

Comment 5

9 months ago
Pushed by mak77@bonardo.net:
https://hg.mozilla.org/integration/autoland/rev/e4b8ea7baeb6
Intermittent toolkit/components/places/tests/browser/browser_visited_notfound.js. r=standard8

Comment 6

9 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/e4b8ea7baeb6
Status: ASSIGNED → RESOLVED
Last Resolved: 9 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57
(Reporter)

Updated

9 months ago
Whiteboard: [fxsearch][stockwell needswork] → [fxsearch][stockwell fixed:other]

Comment 7

9 months ago
12 failures in 939 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 7
* try: 3
* mozilla-inbound: 2

Platform breakdown:
* linux64-stylo: 6
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1395082&startday=2017-08-28&endday=2017-09-03&tree=all
You need to log in before you can comment on or make changes to this bug.